#
# spec file for package kross-interpreters
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kross-interpreters
BuildRequires:  extra-cmake-modules
BuildRequires:  kdelibs4support-devel
BuildRequires:  kross-devel => 5.11.0
BuildRequires:  python-devel
BuildRequires:  xz
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)
Summary:        Diverse bindings for KROSS
License:        LGPL-2.1+
Group:          Development/Libraries/KDE
Version:        16.08.3
Release:        0
Source0:        %{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The kross interpreters for Ruby, Python and Java

%package -n kross-python
Summary:        Python Bindings for kross
Group:          Development/Libraries/KDE

%description -n kross-python
The Python bindings which can be used with KROSS

%package -n kross-ruby
Summary:        Ruby Bindings for kross
Group:          Development/Libraries/KDE

%description -n kross-ruby
The Ruby bindings which can be used with KROSS

%package -n kross-java
Summary:        Java Bindings for kross
Group:          Development/Libraries/KDE

%description -n kross-java
The Java bindings which can be used with KROSS

%prep
%setup -q -n %{name}-%{version}

%build
  %cmake_kf5 -d build 
  %make_jobs

%install
  %kf5_makeinstall -C build
  #make DESTDIR=%{buildroot} install

%files -n kross-python
%defattr(-,root,root)
%_kf5_plugindir/krosspython.so

%changelog
